[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomPage.RealSetText

Notifies the widgetset to change the text for the control.

## Declaration

Source position: comctrls.pp line 259

`protected procedure TCustomPage.RealSetText(`
`const AValue: TCaption`
`); override;`

## Arguments

`AValue` |  | Value used for the Text (Caption) in the control.

## Description

RealSetText is overridden in TCustomPage to notify the widgetset class of the value change when the Parent control is assigned and has a valid Handle. RealSetText calls the inherited method to apply the new value. AdjustSize is called if the widgetset class was notified.

## See also

TWinControl.RealSetText |  | Sets the text / caption for the control.
TWinControl.Handle |  | A reference handle to the widgetset class instance associated with this control.
TControl.AdjustSize |  | Smart way to DoAutoSize.